Commit eada7d92 authored by Natanael Copa's avatar Natanael Copa

main/apk-tools: upgrade to 2.0.5

(cherry picked from commit 2e666349)
parent de44d492
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apk-tools
pkgver=2.0.4
pkgver=2.0.5
pkgrel=0
pkgdesc="Alpine Package Keeper - package manager for alpine"
subpackages="$pkgname-static"
depends=
makedepends="zlib-dev openssl-dev lua-dev pkgconfig"
makedepends="zlib-dev openssl-dev pkgconfig"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
0001-Makefile-do-not-require-lua-pkgconfig-unless-you-int.patch
"
url="http://git.alpinelinux.org/cgit/apk-tools/"
......@@ -24,13 +25,13 @@ prepare() {
build() {
cd "$srcdir/$pkgname-$pkgver"
make || return 1
make static || return 1
make FULL_VERSION="$pkgver-r$pkgrel" || return 1
make FULL_VERSION="$pkgver-r$pkgrel" static || return 1
}
package() {
cd "$srcdir/$pkgname-$pkgver"
make DESTDIR="$pkgdir" install
make FULL_VERSION="$pkgver-r$pkgrel" DESTDIR="$pkgdir" install
cd "$pkgdir/sbin"
ln -s apk apk_add
ln -s apk apk_audit
......@@ -47,4 +48,5 @@ static() {
"$subpkgdir"/sbin/apk.static
}
md5sums="caed9a5c8b89d2940bc13596e4b32cce apk-tools-2.0.4.tar.bz2"
md5sums="7f9234ab210557b064d7bd9b42833f0a apk-tools-2.0.5.tar.bz2
f63d483b724e8e9344ce8cb965d5ed22 0001-Makefile-do-not-require-lua-pkgconfig-unless-you-int.patch"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment